Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Mon, 14 Nov 2022 16:51:27 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi Max Team,

Just yesterday I received my order # 8195293325 and today I went to Max store in Al Rai on 4th ring road to just exchange a makeup product,  they sent me to Center Point for being make product is not available in Max Store.
I really had very bad experience there, they said your order is not available in System and kept us waiting nearly an hour, then they said Manager is not available, he will come after 45 minutes, such a big store and nobody to entertain some customer?!?!? It is really disappointing!!!
After being waiting "HIS EXECELLENCY" THE MANAGER  came and result was same,he can't do anything, saying come tomorrow, still your order is not showing in system, while I received it and follow up emails and messages as well about delivery. Nearly spending 2 hours in stores, I came without anything positive and don't know what will happen next.

For GOD sake, do improve this Manager not available issue!!!

Hope for better next time,
Raza https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5267168